<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/individual.php");
  $individual=new individual;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."funciones/funciones.php");
  session_start();  
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Generador de plan de pagos";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
<style type="text/css">   

.tb{
  font-weight: bold;
  color: #268E6A;
}
</style>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1081;
          include_once($ruta."aside.php");
        ?>
    <section id="content">
      <!--breadcrumbs start-->
      <div id="breadcrumbs-wrapper">
        <div class="container">
            <div class="row " style="background: #7AAD4E; text-align: center; color:white; font-size: 25px; border-radius: 5px;">
                <?php echo $hd_titulo; ?>
        </div>
 
      <div class="container">
        <div class="section">
          <div class="row" >
            <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
            
        <div class="container">
          <div class="row">
            <div class="titulo">Datos</div>
            <div class="col s12 m12 l12">
              <div class="col s12 m12 l12">
                <ul class="tabs">
                  <li class="tab col s3"><a class="waves-effect waves-light" active href="#dataItem">GRUPAL</a>
                  </li>
                  <li class="tab col s3"><a class="waves-effect waves-light" href="#dmarcas">INDIVIDUAL</a>
                  </li>
                </ul>
              </div>
              <div id="dataItem" class="col s12 m12 l12 row">
                <form class="col s12" id="idform" name="idform" action="return false" onsubmit="return false" method="POST">
                  <div class="col s12 m12">
                    <fieldset class="formulario" style="background-color: #E9FCFF;">
                      <legend>DATOS GENERALES</legend>
                      <input type="hidden" name="iditem" id="iditem" value="<?php echo $valor; ?>">
                        <div class="row">
                      <div class="input-field col s12 m12 l6">
                         <label>TIPO BANCA</label>
                          <select id="idtipobanca" name="idtipobanca" onchange="informacion();">
                            <option value="0" disabled>Seleccionar</option>
                            <?php
                              foreach($tipobanca->mostrarTodo("estado=1 and tipocred=0") as $f)
                              {
                                ?>
                                  <option value="<?php echo $f['idtipobanca']; ?>"><?php echo $f['nombre'].' '.$f['interes'].'%'; ?></option>
                                <?php
                              }
                            ?>
                          </select>
                        </div>
                        
                        <div class="input-field col s12 m12 l6">
                         <label>Frecuancia de pago</label>
                          <select id="idfrecuenciapago" name="idfrecuenciapago" onchange="calcular();">
                            <option value="0" disabled>Seleccionar</option>
                            <?php
                              foreach($dominio->mostrarTodo("tipo='FREPAGO' and tipo2=0") as $f)
                              {
                                ?>
                                  <option value="<?php echo $f['iddominio']; ?>"><?php echo $f['nombre']; ?></option>
                                <?php
                              }
                            ?>
                          </select>
                        </div>
                        <div id="ocultatipobanca">
                          <div class="input-field col s12 m12 l12" style="font-size:12px; color:#566573">
                            <div class="col s12 m16 l3">Fondo de garantia (%):</div> <div class="col s12 m6 l3 tb" id="fondogarantia"></div>
                            <div class="col s12 m16 l3">Cuota acumulada (%):</div><div class="col s12 m6 l3 tb" id="depositoacumulado"></div>
                            <div class="col s12 m16 l3">Interes (%):</div><div class="col s12 m6 l3 tb" id="interes"></div>
                            <div class="col s12 m16 l3">Seguro (%):</div><div class="col s12 m6 l3 tb" id="seguro"></div>
                            <div class="col s12 m16 l3">Descripción:</div><div class="col s12 m6 l9 tb" id="descripcion"></div>
                          </div>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idmonto" name="idmonto"  type="number" class="validate">
                          <label for="idmonto">Monto</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idnrocuotas" name="idnrocuotas"  type="number" class="validate">
                          <label for="idnrocuotas">Nro de cuotas</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idfechainicio" name="idfechainicio" value="<?php echo date('Y-m-d') ?>" type="date" class="validate">
                          <label for="idfechainicio">Fecha inicio pago</label>
                        </div>
                        <dev> &nbsp;&nbsp;</div>
                         <div class="col s12 m12 l12">
                           <button class="btn waves-effect waves-light darken-4 blue" onclick="planpagosG();"><i class="fa fa-plus-square"></i> Generar plan pagos Grupal</button>
                            </div>
                        </div>
                      </fieldset> 
                    </div>
                    </form>
                  </div>
                  
                

              </div>
              <div id="dmarcas" class="col s12">
                <form class="col s12" id="idformAlm" name="idformAlm" action="return false" onsubmit="return false" method="POST">
                  <div class="col s12 m12">
                    <fieldset class="formulario" style="background-color: #E9FFEB;">
                      <legend>DATOS InDIVIDUALES</legend>
                      <input type="hidden" name="iditem" id="iditem" value="<?php echo $valor; ?>">
                        <div class="row">
                      <div class="input-field col s12 m12 l6">
                         <label>TIPO BANCA</label>
                          <select id="idtipobancaI" name="idtipobancaI" onchange="informacionI();">
                            <option value="0" disabled>Seleccionar</option>
                            <?php
                              foreach($tipobanca->mostrarTodo("estado=1 and tipocred=1") as $f)
                              {
                                ?>
                                  <option value="<?php echo $f['idtipobanca']; ?>"><?php echo $f['nombre'].' '.$f['interes'].'%'; ?></option>
                                <?php
                              }
                            ?>
                          </select>
                        </div>
                        
                        <div class="input-field col s12 m12 l6">
                         <label>Frecuancia de pago</label>
                          <select id="idfrecuenciapagoI" name="idfrecuenciapagoI" onchange="calcularI();">
                            <option value="0" disabled>Seleccionar</option>
                            <?php
                              foreach($dominio->mostrarTodo("tipo='FREPAGO' and tipo2=1") as $f)
                              {
                                ?>
                                  <option value="<?php echo $f['iddominio']; ?>"><?php echo $f['nombre']; ?></option>
                                <?php
                              }
                            ?>
                          </select>
                        </div>
                        <div id="ocultatipobancaI">
                          <div class="input-field col s12 m12 l12" style="font-size:12px; color:#566573">
                            <div class="col s12 m16 l3">Fondo de garantia (%):</div> <div class="col s12 m6 l3 tb" id="fondogarantiaI"></div>
                            <div class="col s12 m16 l3">Cuota acumulada (%):</div><div class="col s12 m6 l3 tb" id="depositoacumuladoI"></div>
                            <div class="col s12 m16 l3">Interes (%):</div><div class="col s12 m6 l3 tb" id="interesI"></div>
                            <div class="col s12 m16 l3">Seguro (%):</div><div class="col s12 m6 l3 tb" id="seguroI"></div>
                            <div class="col s12 m16 l3">Descripción:</div><div class="col s12 m6 l9 tb" id="descripcionI"></div>
                          </div>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idmontoI" name="idmontoI"  type="number" class="validate">
                          <label for="idmontoI">Monto</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idnrocuotasI" name="idnrocuotasI"  type="number" class="validate">
                          <label for="idnrocuotasI">Nro de cuotas</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idfechainicioI" name="idfechainicioI" value="<?php echo date('Y-m-d') ?>" type="date" class="validate">
                          <label for="idfechainicioI">Fecha inicio pago</label>
                        </div>
                         <dev> &nbsp;&nbsp;</div>
                          <div class="col s12 m12 l12" style="text-align: right;">
                            <button class="btn waves-effect waves-light darken-4 cyan" onclick="planpagosGI();"><i class="fa fa-plus-square"></i> Generar plan pagos Grupal</button>
                            </div>
                        
                        </div>
                      </fieldset> 
                    </div>
                    </form>
              </div>
           

            </div>
          </div>
        </div>
          </div>
        </div>
        </div>     
      </div>

      </div>
      <?php
        include_once("../../footer.php");
      ?>
    </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "desc" ]],
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
    });
 


    document.getElementById('ocultatipobanca').style.display='none';
      function informacion()
      {
        tbanca=$('#idtipobanca').val();
        if (tbanca==0) 
        {
        document.getElementById('ocultatipobanca').style.display='none';
        }else{
            $.ajax({
            async: true,
            url: "../../grupo/credito/cargartipobanca.php?idtipobanca="+tbanca,
            type: "get",
            dataType: "html",
            success: function(data){
              var json = eval("("+data+")");

               $("#fondogarantia").text(json.fondogarantia);
               $("#depositoacumulado").text(json.depositoacumulado);
               $("#interes").text(json.interes);
               $("#seguro").text(json.seguro);
               $("#descripcion").text(json.descripcion);
            }
           
          });
        document.getElementById('ocultatipobanca').style.display='block'; 
        }
          
      }
       document.getElementById('ocultatipobancaI').style.display='none';
      function informacionI()
      {
        tbanca=$('#idtipobancaI').val();
        if (tbanca==0) 
        {
        document.getElementById('ocultatipobancaI').style.display='none';
        }else{
            $.ajax({
            async: true,
            url: "../../grupo/credito/cargartipobanca.php?idtipobanca="+tbanca,
            type: "get",
            dataType: "html",
            success: function(data){
              var json = eval("("+data+")");

               $("#fondogarantiaI").text(json.fondogarantia);
               $("#depositoacumuladoI").text(json.depositoacumulado);
               $("#interesI").text(json.interes);
               $("#seguroI").text(json.seguro);
               $("#descripcionI").text(json.descripcion);
            }
           
          });
        document.getElementById('ocultatipobancaI').style.display='block'; 
        }
          
      }
      function calcular()
      {
        //alert('entra');
        Frepago=$('#idfrecuenciapago').val();
        cuotas=$('#idnrocuotas').val();
        pago1=$('#idfecha1erpago').val();
        if (Frepago=="0" || cuotas=="") 
        {
          document.getElementById("idfechacierre").value = "";
        }else{         
          $.ajax({
            async: true,
            url: "../../grupo/credito/calcularFC.php?idfrecuenciapago="+Frepago+"&cuotas="+cuotas+"&fechaprimero="+pago1,
            type: "get",
            dataType: "html",
            success: function(data){
              var json = eval("("+data+")");

               $("#idfechacierre").val(json.fechacierre);
            }           
          });
        }
      }
      function calcularI()
      {
        //alert('entra');
        Frepago=$('#idfrecuenciapagoI').val();
        cuotas=$('#idnrocuotasI').val();
        pago1=$('#idfecha1erpagoI').val();
        if (Frepago=="0" || cuotas=="") 
        {
          document.getElementById("idfechacierreI").value = "";
        }else{         
          $.ajax({
            async: true,
            url: "../../grupo/credito/calcularFC.php?idfrecuenciapago="+Frepago+"&cuotas="+cuotas+"&fechaprimero="+pago1,
            type: "get",
            dataType: "html",
            success: function(data){
              var json = eval("("+data+")");

               $("#idfechacierre").val(json.fechacierre);
            }           
          });
        }
      }
      function planpagosG()
      {
        tbanca=$('#idtipobanca').val();
        Frepago=$('#idfrecuenciapago').val();
        cuotas=$('#idnrocuotas').val();
        monto=$('#idmonto').val();
        fechai=$('#idfechainicio').val();

        window.open("grupal.php?idtipobanca="+tbanca+"&idfrecuenciapago="+Frepago+"&idnrocuotas="+cuotas+"&idmonto="+monto+"&idfechainicio="+fechai, '_blank');
      }
      function planpagosGI()
      {
        tbanca=$('#idtipobancaI').val();
        Frepago=$('#idfrecuenciapagoI').val();
        cuotas=$('#idnrocuotasI').val();
        monto=$('#idmontoI').val();
        fechai=$('#idfechainicioI').val();

        window.open("individual.php?idtipobanca="+tbanca+"&idfrecuenciapago="+Frepago+"&idnrocuotas="+cuotas+"&idmonto="+monto+"&idfechainicio="+fechai, '_blank');
      }
    </script>
</body>

</html>